> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# トークン - 送金一覧

> 特定のトークンの送金履歴を取得



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/token/{chain}/{tokenAddress}/transfers
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/token/{chain}/{tokenAddress}/transfers:
    get:
      tags:
        - Token
      summary: トークン - 送金リスト
      description: 特定のトークンの送金履歴を取得
      operationId: get.token.transfers
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: トークンのアドレス
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        - name: cursor
          in: query
          description: ページネーションカーソル
          required: false
          schema:
            type: string
          example: eyJpZCI6IjEyMyJ9
        - name: limit
          in: query
          description: ページあたりの結果数
          required: false
          schema:
            type: integer
            format: int64
            default: 20
          example: 20
        - name: direction
          in: query
          description: ページネーション方向（next または prev）
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PageDirection'
            default: next
          example: next
        - name: fromTimestamp
          in: query
          description: 開始タイムスタンプ（Unix エポック秒）
          required: false
          schema:
            type: integer
            format: int64
          example: 1770249600000
        - name: toTimestamp
          in: query
          description: 終了タイムスタンプ（Unix エポック秒）
          required: false
          schema:
            type: integer
            format: int64
          example: 1770336000000
      responses:
        '200':
          description: 送金リストを取得
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageResponse_TokenTransfer'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    PageDirection:
      type: string
      description: Pagination direction
      enum:
        - next
        - prev
    PageResponse_TokenTransfer:
      type: object
      description: Generic pagination response
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            description: Token transfer
            required:
              - id
              - transactionSignature
              - blockTimestamp
              - tokenAddress
              - fromAddress
              - toAddress
              - amount
              - type
              - status
            properties:
              amount:
                type: string
                description: トークン単位での送金額
                example: '1738227.69'
              amountInUsd:
                type:
                  - string
                  - 'null'
                description: USD建ての送金額
                example: '4.07'
              blockTimestamp:
                type: integer
                format: int64
                description: ブロックタイムスタンプ（ミリ秒）
                example: 1710417600000
              fromAddress:
                type: string
                description: 送信者アドレス
                example: 3xad3gVnkBLA48PwPApHTu7zSWBV3x6dUfNnBSmMNvn3
              id:
                type: string
                description: 送金レコード識別子
                example: transfer-1
              status:
                type: string
                description: 'Transfer status: unknown / succeeded / failed'
                example: succeeded
              toAddress:
                type: string
                description: 受信者アドレス
                example: FgkE7Kwvt4DAU2MbaZmf8ZwKFUUDXR5ownmuYKsUqkxs
              tokenAddress:
                type: string
                description: トークンコントラクトアドレス
                example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
              transactionSignature:
                type: string
                description: トランザクション署名
                example: >-
                  3hmmomhUcmLMw2ZCqKg5MBfK8b7RBNrBpqvE2Wv7u5V6PCMLh4s7dVfA83NbzNFAgTzVvZuMURoKEviwR92otRp
              type:
                type: string
                description: 'Transfer type: unknown / in / out'
                example: in
          description: Page data
        endCursor:
          type:
            - string
            - 'null'
          description: Cursor for the end of current page
          example: eyJpZCI6ImVuZCJ9
        hasNext:
          type: boolean
          description: Whether there is a next page
          example: false
        hasPrev:
          type: boolean
          description: Whether there is a previous page
          example: false
        startCursor:
          type:
            - string
            - 'null'
          description: Cursor for the start of current page
          example: eyJpZCI6InN0YXJ0In0=
        total:
          type:
            - integer
            - 'null'
          format: int64
          description: >-
            Total number of items matching the query (not just the current
            page).

            When `None`, the caller should treat it as unknown
            (backward-compatible).
          example: 564094
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````